Open SCAP Library

Public Member Functions | Data Fields
cce Struct Reference
CCE

Structure holding CCE entries. More...

`#include <cce.h>`

## Public Member Functions
struct cce * | cce_new (const char *fname)
| Create a new CCE structure from XML file. More...
void | cce_free (struct cce *cce)
| CCE structure destructor. More...
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
struct cce_entry_iterator * | cce_get_entries (const struct cce *cce)
| Get an iterator to the contents of the CCE.
struct cce_entry * | cce_get_entry (const struct cce *cce, const char *id)
| Get an CCE entry by ID. More...
Evaluators
const char * | cce_supported (void)
| Get supported version of CCE XML. More...

## Data Fields
struct oscap_list * | entries
struct oscap_htable * | entry

## Detailed Description

Structure holding CCE entries.

The documentation for this struct was generated from the following files:

- cce_priv.h
- cce.h